## Pull Request Checklist

- [ ] **Target branch:** Pull requests should target the `dev` branch.
- [ ] **Description:** Briefly describe the changes in this pull request.
- [ ] **Changelog:** Ensure a changelog entry following the format of [Keep a Changelog](https://keepachangelog.com/) is added at the bottom of the PR description.
- [ ] **Documentation:** Have you updated relevant documentation [Open WebUI Docs](https://github.com/open-webui/docs), or other documentation sources?
- [ ] **Dependencies:** Are there any new dependencies? Have you updated the dependency versions in the documentation?
- [ ] **Testing:** Have you written and run sufficient tests for the changes?
- [ ] **Code Review:** Have you self-reviewed your code and addressed any coding standard issues?

---

## Description

[Insert a brief description of the changes made in this pull request, including any relevant motivation and impact.]

---

### Changelog Entry

### Added

- [List any new features, functionalities, or additions]

### Fixed

- [List any fixes, corrections, or bug fixes]

### Changed

- [List any changes, updates, refactorings, or optimizations]

### Removed

- [List any removed features, files, or deprecated functionalities]

### Security

- [List any new or updated security-related changes, including vulnerability fixes]

### Breaking Changes

- [List any breaking changes affecting compatibility or functionality]

---

### Additional Information

- [Insert any additional context, notes, or explanations for the changes]

- [Reference any related issues, commits, or other relevant information]
